package domain


type AlibabaRetailMarketingItemdiscountActivityDeleteItemDiscountActivityOperateRequest struct {
    /*
        活动创建者ID（仅支持数字类型）     */
    CreatorId  *string `json:"creator_id,omitempty" `

    /*
        活动创建者name     */
    CreatorName  *string `json:"creator_name,omitempty" `

    /*
        活动ID     */
    ActId  *int64 `json:"act_id,omitempty" `

    /*
        erp外部活动id     */
    OutActId  *string `json:"out_act_id,omitempty" `

}

func (s *AlibabaRetailMarketingItemdiscountActivityDeleteItemDiscountActivityOperateRequest) SetCreatorId(v string) *AlibabaRetailMarketingItemdiscountActivityDeleteItemDiscountActivityOperateRequest {
    s.CreatorId = &v
    return s
}
func (s *AlibabaRetailMarketingItemdiscountActivityDeleteItemDiscountActivityOperateRequest) SetCreatorName(v string) *AlibabaRetailMarketingItemdiscountActivityDeleteItemDiscountActivityOperateRequest {
    s.CreatorName = &v
    return s
}
func (s *AlibabaRetailMarketingItemdiscountActivityDeleteItemDiscountActivityOperateRequest) SetActId(v int64) *AlibabaRetailMarketingItemdiscountActivityDeleteItemDiscountActivityOperateRequest {
    s.ActId = &v
    return s
}
func (s *AlibabaRetailMarketingItemdiscountActivityDeleteItemDiscountActivityOperateRequest) SetOutActId(v string) *AlibabaRetailMarketingItemdiscountActivityDeleteItemDiscountActivityOperateRequest {
    s.OutActId = &v
    return s
}
